export default class ResourceLoader {
/**
 * Loads an image from the specified URL.
 *
 * @return {Promise<HTMLImageElement>} A Promise that resolves with the loaded image.
 */
  static load(url) {
    return new Promise((resolve, reject) => {
      const image = new Image();
      image.src = url;
      image.onload = () => resolve(image)
      image.onerror = reject;
    });
  }
}
